package com.alivc.live.pusher.demo;

import android.content.Context;

/**
 * Dev test data class
 * <p>
 * First, we store dev test data into `local.properties` file, it's a gitignore file.
 * <p>
 * Such as:
 * sdk.dir=/Users/keria/Library/Android/sdk
 * push.url=rtmp://push-demo-rtmp.aliyunlive.com/test/stream/keriatest?&auth_key=xxxx
 * pull.url=
 * <p>
 * And then, we can parse it from `build.gradle` file,
 * if `local.properties` hasn't the property, it will use the default value.
 */
public class FastTestPushOrPlayerData {
    public static String getTestPushUrl() {
        Context context = ContextUtils.getContext();
        return (context != null) ? context.getString(R.string.test_push_url) : "";
    }

    public static String getTestPullUrl() {
        Context context = ContextUtils.getContext();
        return (context != null) ? context.getString(R.string.test_pull_url) : "";
    }
}
